Skip to main content
GET
/
api
/
v1
/
accounts
/
{idOrAliasOrEvmAddress}
/
tokens
Get token relationships info for an account
curl --request GET \
  --url https://mainnet.mirrornode.hedera.com/api/v1/accounts/{idOrAliasOrEvmAddress}/tokens
{
  "tokens": [
    {
      "automatic_association": true,
      "balance": 5,
      "created_timestamp": "123456789.000000001",
      "decimals": 3,
      "freeze_status": "UNFROZEN",
      "kyc_status": "GRANTED",
      "token_id": "0.0.27335"
    }
  ],
  "links": {
    "next": null
  }
}

Path Parameters

idOrAliasOrEvmAddress
string
required

Account alias or account id or evm address

Pattern: ^(\d{1,10}\.){0,2}(\d{1,10}|(0x)?[A-Fa-f0-9]{40}|(?:[A-Z2-7]{8})*(?:[A-Z2-7]{2}|[A-Z2-7]{4,5}|[A-Z2-7]{7,8}))$

Query Parameters

limit
integer<int32>
default:25

The maximum number of items to return

Required range: 1 <= x <= 100
order
enum<string>
default:asc

The order in which items are listed

Available options:
asc,
desc
token.id
string

The ID of the token to return information for

Pattern: ^((gte?|lte?|eq|ne)\:)?(\d{1,10}\.\d{1,10}\.)?\d{1,10}$

Response

OK

tokens
object[]